<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/transferScrollView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true"
    tools:context=".views.TransferFragment">

    <!-- TODO: Update blank fragment layout -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/textView7"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:text="응급 병원 이송"
            android:textColor="@color/white"
            android:textSize="40sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/cardView3"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.cardview.widget.CardView
            android:id="@+id/cardView3"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="130dp"
            android:layout_marginRight="10dp"
            android:layout_marginBottom="10dp"
            app:cardCornerRadius="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1">


                    <androidx.cardview.widget.CardView
                        android:id="@+id/cardView6"
                        android:layout_width="450dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="16dp"
                        android:background="@color/black"
                        app:cardCornerRadius="16dp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="#55000000">

                            <androidx.cardview.widget.CardView
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_margin="1dp"
                                app:cardCornerRadius="16dp">

                                <androidx.constraintlayout.widget.ConstraintLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:background="@color/white">

                                    <LinearLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="match_parent"
                                        android:orientation="vertical">

                                        <TextView
                                            android:id="@+id/textView8"
                                            android:layout_width="match_parent"
                                            android:layout_height="0dp"
                                            android:layout_marginTop="16dp"
                                            android:layout_weight="1"
                                            android:gravity="center"
                                            android:text="이송 병원까지의 정보"
                                            android:textSize="25sp"
                                            app:layout_constraintEnd_toEndOf="parent"
                                            app:layout_constraintHorizontal_bias="0.513"
                                            app:layout_constraintStart_toStartOf="parent"
                                            app:layout_constraintTop_toTopOf="parent" />

                                        <androidx.constraintlayout.widget.ConstraintLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="0dp"
                                            android:layout_weight="5">

                                            <TextView
                                                android:id="@+id/tvLeftDistVal"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="20dp"
                                                android:ellipsize="none"
                                                android:text="0.0km"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toEndOf="@+id/tvLeftDist"
                                                app:layout_constraintTop_toTopOf="@+id/tvLeftDist" />

                                            <TextView
                                                android:id="@+id/tvTFHospName"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="20dp"
                                                android:layout_marginTop="16dp"
                                                android:ellipsize="none"
                                                android:text="-"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toEndOf="@+id/tvLeftTime3"
                                                app:layout_constraintTop_toTopOf="parent" />


                                            <!-- <TextView-->
                                            <!--                                                android:id="@+id/tvTFLidarValue"-->
                                            <!--                                                android:layout_width="wrap_content"-->
                                            <!--                                                android:layout_height="wrap_content"-->
                                            <!--                                                android:layout_marginStart="44dp"-->
                                            <!--                                                android:layout_marginTop="8dp"-->
                                            <!--                                                android:text="-"-->
                                            <!--                                                android:textSize="20sp"-->
                                            <!--                                                android:ellipsize="none"-->
                                            <!--                                                app:layout_constraintStart_toEndOf="@+id/tvLeftTime4"-->
                                            <!--                                                app:layout_constraintTop_toBottomOf="@+id/tvTFHospName" />-->

                                            <LinearLayout
                                                android:layout_width="150dp"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="43dp"
                                                android:gravity="start|center_vertical"
                                                android:orientation="horizontal"
                                                app:layout_constraintStart_toEndOf="@+id/tvLeftTime4"
                                                app:layout_constraintTop_toTopOf="@+id/tvLeftTime4">

                                                <View
                                                    android:id="@+id/tvTFLidarColor"
                                                    android:layout_width="22dp"
                                                    android:layout_height="22dp"
                                                    android:background="#87CEEB" />

                                                <TextView
                                                    android:id="@+id/tvTFLidarValue"
                                                    android:layout_width="wrap_content"
                                                    android:layout_height="wrap_content"
                                                    android:gravity="center"
                                                    android:paddingStart="8dp"
                                                    android:text="정보 없음"
                                                    android:textSize="20sp" />

                                            </LinearLayout>

                                            <TextView
                                                android:id="@+id/tvLeftTime3"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="16dp"
                                                android:layout_marginTop="16dp"
                                                android:text="병원 이름"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toStartOf="parent"
                                                app:layout_constraintTop_toTopOf="parent" />

                                            <TextView
                                                android:id="@+id/tvLeftTime4"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="16dp"
                                                android:layout_marginTop="16dp"
                                                android:text="혼잡도"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toStartOf="parent"
                                                app:layout_constraintTop_toBottomOf="@+id/tvLeftTime3" />

                                            <Button
                                                android:id="@+id/btnTFDetailInfo"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginTop="16dp"
                                                android:layout_marginEnd="16dp"
                                                android:text="상세정보"
                                                android:visibility="invisible"
                                                app:cornerRadius="10dp"
                                                app:layout_constraintEnd_toEndOf="parent"
                                                app:layout_constraintTop_toTopOf="parent" />

                                            <TextView
                                                android:id="@+id/tvLeftTime"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="16dp"
                                                android:layout_marginTop="16dp"
                                                android:text="남은 시간"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toStartOf="parent"
                                                app:layout_constraintTop_toBottomOf="@+id/tvLeftTime4" />

                                            <TextView
                                                android:id="@+id/tvLeftTimeVal"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="20dp"
                                                android:ellipsize="none"
                                                android:text="0초"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toEndOf="@+id/tvLeftTime"
                                                app:layout_constraintTop_toTopOf="@+id/tvLeftTime" />

                                            <TextView
                                                android:id="@+id/infoUpdateTime"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="24dp"
                                                android:ellipsize="none"
                                                android:text="00:00:00"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toEndOf="@+id/tvLeftTimeVal"
                                                app:layout_constraintTop_toTopOf="@+id/tvLeftTimeVal" />

                                            <TextView
                                                android:id="@+id/tvLeftDist"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="16dp"
                                                android:layout_marginTop="16dp"
                                                android:text="남은 거리"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toStartOf="parent"
                                                app:layout_constraintTop_toBottomOf="@+id/tvLeftTime" />

                                            <TextView
                                                android:id="@+id/tfStateLabel"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="16dp"
                                                android:layout_marginTop="16dp"
                                                android:text="이송 상태"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toStartOf="parent"
                                                app:layout_constraintTop_toBottomOf="@+id/tvLeftDist" />

                                            <TextView
                                                android:id="@+id/tfState"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginStart="20dp"
                                                android:text="-"
                                                android:textSize="20sp"
                                                app:layout_constraintStart_toEndOf="@+id/tfStateLabel"
                                                app:layout_constraintTop_toTopOf="@+id/tfStateLabel" />

                                            <Button
                                                android:id="@+id/transferCancel"
                                                android:layout_width="137dp"
                                                android:layout_height="77dp"
                                                android:layout_marginEnd="16dp"
                                                android:layout_marginBottom="16dp"
                                                android:text="이송취소"
                                                android:textSize="20sp"
                                                app:cornerRadius="10dp"
                                                app:layout_constraintBottom_toBottomOf="parent"
                                                app:layout_constraintEnd_toEndOf="parent" />


                                        </androidx.constraintlayout.widget.ConstraintLayout>


                                    </LinearLayout>

                                </androidx.constraintlayout.widget.ConstraintLayout>
                            </androidx.cardview.widget.CardView>

                        </FrameLayout>


                    </androidx.cardview.widget.CardView>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="#A0A0A0"
                        tools:layout_editor_absoluteX="0dp"
                        tools:layout_editor_absoluteY="0dp">

                    </View>

                    <LinearLayout
                        android:layout_width="400dp"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:visibility="invisible"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.cardview.widget.CardView
                            android:id="@+id/cvGPS_State"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            app:cardCornerRadius="16dp">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:background="#B04169E1">

                                <TextView
                                    android:id="@+id/textView27"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="00:00:00"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.95"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />

                                <TextView
                                    android:id="@+id/textView23"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="TextView"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.133"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <TextView
                                    android:id="@+id/textView18"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="GPS 상태"
                                    android:textSize="20sp"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.133"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />
                            </androidx.constraintlayout.widget.ConstraintLayout>
                        </androidx.cardview.widget.CardView>

                        <androidx.cardview.widget.CardView
                            android:id="@+id/cvFindPathAPI_State"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            app:cardCornerRadius="16dp">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:background="#B04169E1">

                                <TextView
                                    android:id="@+id/textView26"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="00:00:00"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.95"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />

                                <TextView
                                    android:id="@+id/textView24"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="길찾기 상태"
                                    android:textSize="20sp"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.133"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />

                                <TextView
                                    android:id="@+id/textView20"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="TextView"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.133"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />
                            </androidx.constraintlayout.widget.ConstraintLayout>

                        </androidx.cardview.widget.CardView>

                        <androidx.cardview.widget.CardView
                            android:id="@+id/cvServer_State"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            app:cardCornerRadius="16dp">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:background="#B04169E1">

                                <TextView
                                    android:id="@+id/textView25"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="서버와의 연결 상태"
                                    android:textSize="20sp"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.133"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />

                                <TextView
                                    android:id="@+id/textView21"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="00:00:00"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.95"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent"
                                    app:layout_constraintVertical_bias="0.1" />

                                <TextView
                                    android:id="@+id/textView22"
                                    android:layout_width="wrap_content"
                                    android:layout_height="19dp"
                                    android:text="이송여부"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintEnd_toEndOf="parent"
                                    app:layout_constraintHorizontal_bias="0.09"
                                    app:layout_constraintStart_toStartOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />
                            </androidx.constraintlayout.widget.ConstraintLayout>

                        </androidx.cardview.widget.CardView>

                    </LinearLayout>

                    <Button
                        android:id="@+id/transferComplete"
                        android:layout_width="244dp"
                        android:layout_height="129dp"
                        android:layout_marginStart="168dp"
                        android:text="이송완료"
                        android:textSize="20sp"
                        app:cornerRadius="10dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/cardView6"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintVertical_bias="0.061"
                        android:visibility="invisible"/>

                </androidx.constraintlayout.widget.ConstraintLayout>

            </LinearLayout>


        </androidx.cardview.widget.CardView>


    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.core.widget.NestedScrollView>